/*================= view2 ============================
This is the view for the resume.*/

var acTitle = document.getElementById("title");
var hSSbox = document.getElementById("hsEnlarged");
var hS2Sbox = document.getElementById("hs2Enlarged");
var hShot = document.getElementById("headShot");
var acFooter = document.getElementById("footer");

var fmTable = document.getElementById("filmTable");
var thTable = document.getElementById("theaterTable");
var cmTable = document.getElementById("comTable");
var ptTable = document.getElementById("printTable");
var eduTable = document.getElementById("eduTable");
var sportElem = document.getElementById("sports");
var othElem = document.getElementById("other");
var lggElem = document.getElementById("language");

var parsexml = function (xml) 
{
	
// We declare a variable for the XML file to get to the data later.

    var xmlDoc = xml.responseXML;
    var v1 = xmlDoc.getElementsByTagName("view1")[0];
    var v2 = xmlDoc.getElementsByTagName("view2")[0];

// Data are retrieved from the XML file and stored in the HTML elements.

	var myTitle = v2.getElementsByTagName("title")[0].childNodes[0].nodeValue;
	var myimage = v1.getElementsByTagName("headshot")[0].childNodes[0].nodeValue;
	var mysecimage = v2.getElementsByTagName("headshot")[0].childNodes[0].nodeValue;
	var myFooter = xmlDoc.getElementsByTagName("footer")[0].childNodes[0].nodeValue;
	
	acTitle.innerHTML = myTitle;
    hShot.src = myimage;
    hSSbox.href = myimage;
    hS2Sbox.href = mysecimage;
    acFooter.innerHTML = myFooter;
	
	// Resume for film
	var fmResTitle = v2.getElementsByTagName("filmresume")[0].getElementsByTagName("title");
	var fmResCharac = v2.getElementsByTagName("filmresume")[0].getElementsByTagName("character");
	var fmResDirect = v2.getElementsByTagName("filmresume")[0].getElementsByTagName("direction");
	for (var a = 0; a < fmResTitle.length; a++)
	{
		var fmrow = fmTable.insertRow(0);
		fmrow.style.color = "#ffffff";
    	var titlecell = fmrow.insertCell(0);
    	titlecell.style.width = "320px";
    	titlecell.innerHTML = fmResTitle[a].childNodes[0].nodeValue;
    	var charactcell = fmrow.insertCell(1);
    	charactcell.style.width = "100px";
    	charactcell.innerHTML = fmResCharac[a].childNodes[0].nodeValue;
    	var directcell = fmrow.insertCell(2);
    	directcell.style.width = "320px";
    	directcell.innerHTML = fmResDirect[a].childNodes[0].nodeValue;
	}
	
	// Resume for Theater
	var thResTitle = v2.getElementsByTagName("theaterresume")[0].getElementsByTagName("title");
	var thResCharac = v2.getElementsByTagName("theaterresume")[0].getElementsByTagName("character");
	var thResDirect = v2.getElementsByTagName("theaterresume")[0].getElementsByTagName("direction");
	for (var b = 0; b < thResTitle.length; b++)
	{
		var trrow = thTable.insertRow(0);
		trrow.style.color = "#ffffff";
    	titlecell = trrow.insertCell(0);
    	titlecell.style.width = "320px";
    	titlecell.innerHTML = thResTitle[b].childNodes[0].nodeValue;
    	charactcell = trrow.insertCell(1);
    	charactcell.style.width = "120px";
    	charactcell.innerHTML = thResCharac[b].childNodes[0].nodeValue;
    	directcell = trrow.insertCell(2);
    	directcell.style.width = "320px";
    	directcell.innerHTML = thResDirect[b].childNodes[0].nodeValue;
	}
	
	// Resume for Commercials
	var comResTitle = v2.getElementsByTagName("comercresume")[0].getElementsByTagName("title");
	var comResCharac = v2.getElementsByTagName("comercresume")[0].getElementsByTagName("character");
	var comResDirect = v2.getElementsByTagName("comercresume")[0].getElementsByTagName("direction");
	for (var c = 0; c < comResTitle.length; c++)
	{
		var comrow = cmTable.insertRow(0);
		comrow.style.color = "#ffffff";
    	titlecell = comrow.insertCell(0);
    	titlecell.style.width = "320px";
    	titlecell.innerHTML = comResTitle[c].childNodes[0].nodeValue;
    	charactcell = comrow.insertCell(1);
    	charactcell.style.width = "120px";
    	charactcell.innerHTML = comResCharac[c].childNodes[0].nodeValue;
    	directcell = comrow.insertCell(2);
    	directcell.style.width = "320px";
    	directcell.innerHTML = comResDirect[c].childNodes[0].nodeValue;
	}
	
	// Resume for prints
	var ptResTitle = v2.getElementsByTagName("printresume")[0].getElementsByTagName("title");
	var ptResCharac = v2.getElementsByTagName("printresume")[0].getElementsByTagName("character");
	var ptResDirect = v2.getElementsByTagName("printresume")[0].getElementsByTagName("direction");
	for (var d = 0; d < ptResTitle.length; d++)
	{
		var ptrow = ptTable.insertRow(0);
		ptrow.style.color = "#ffffff";
    	titlecell = ptrow.insertCell(0);
    	titlecell.style.width = "320px";
    	titlecell.innerHTML = ptResTitle[d].childNodes[0].nodeValue;
    	charactcell = ptrow.insertCell(1);
    	charactcell.style.width = "120px";
    	charactcell.innerHTML = ptResCharac[d].childNodes[0].nodeValue;
    	directcell = ptrow.insertCell(2);
    	directcell.style.width = "320px";
    	directcell.innerHTML = ptResDirect[d].childNodes[0].nodeValue;
	}
	
	// Resume for education
	var eduResTitle = v2.getElementsByTagName("eduresume")[0].getElementsByTagName("title");
	var eduResDirect = v2.getElementsByTagName("eduresume")[0].getElementsByTagName("direction");
	for (var e = 0; e < eduResTitle.length; e++)
	{
		var edurow = eduTable.insertRow(0);
		edurow.style.color = "#ffffff";
    	titlecell = edurow.insertCell(0);
    	titlecell.style.width = "200px";
    	titlecell.innerHTML = eduResTitle[e].childNodes[0].nodeValue;
    	directcell = edurow.insertCell(1);
    	directcell.style.width = "500px";
    	directcell.innerHTML = eduResDirect[e].childNodes[0].nodeValue;
	}
	
	// Resume for sports
	sportElem.innerHTML = v2.getElementsByTagName("skillsresume")[0].getElementsByTagName("skill")[0].childNodes[0].nodeValue;
	
	// Resume for other skills
	othElem.innerHTML = v2.getElementsByTagName("otherresume")[0].getElementsByTagName("skill")[0].childNodes[0].nodeValue;
	
	// Resume for languages
	var lggResTitle = v2.getElementsByTagName("languageresume")[0].getElementsByTagName("language");
	for (var f = 0; f < lggResTitle.length; f++)
	{
		var lggrow = lggElem.insertRow(0);
		lggrow.style.color = "#ffffff";
    	titlecell = lggrow.insertCell(0);
    	titlecell.style.width = "700px";
    	titlecell.innerHTML = lggResTitle[f].childNodes[0].nodeValue;
	}

	function timeout ()
	{
		document.getElementsByTagName("html")[0].style.visibility = "visible";
		clearInterval (timeout);
	}
	var timerId = setInterval(timeout, 2000);
}

var xhttp = new XMLHttpRequest();
xhttp.onreadystatechange = function() 
{
    if (xhttp.readyState == 4 && xhttp.status == 200) 
	{
    	var p = new parsexml(xhttp);
    }
}
xhttp.open("GET", "assets/data/persondata.xml", true);
xhttp.send(); 